API Documentation

Random Avatar

Randomly output various avatars

Connection Details

Method: GET
Endpoint: http://www.98qy.com/sjtx/api.php

Request Parameters

ParameterRequiredTypeDescription
methodNOstringThe output wallpaper client [mobile (phone), pc (computer), zsy (automatically determined by mobile or computer)]. Defaults to 'pc'.
lxNOstringOutput avatar type [a1 (male avatar) | b1 (female avatar) | c1 (anime avatar) | c2 (anime female avatar) | c3 (anime male avatar)]. Defaults to 'c1'.
formatNOstringThe output wallpaper format [json | images]. Defaults to 'images'.

Response Fields

ParameterTypeDescription
codestringReturned status code (e.g., 200 for success).
imgurlstringThe URL address of the returned image.
widthstringThe width of the returned image in pixels.
heightstringThe height of the returned image in pixels.

Response Preview

Application/JSON
{
    "code": "200",
    "imgurl": "https://tva1.sinaimg.cn/large/9bd9b167ly1fzjxz375iwj20b40b4t9c.jpg",
    "width": "400",
    "height": "400"
}